#ifndef VECTOR_HPP_INCLUDED
#define VECTOR_HPP_INCLUDED

#include <cmath>

class Vector // 2D vektor osztly
{
public:
    Vector(int dX = 0, int dY = 0) { _deltaX = dX; _deltaY = dY; }
    double length() const { return sqrt(pow(_deltaX, 2) + pow(_deltaY, 2)); }
    int getDeltaX() const { return _deltaX; }
    int getDeltaY() const { return _deltaY; }
private:
    int _deltaX;
    int _deltaY;
};

#endif // VECTOR_HPP_INCLUDED
